﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Splitter.aspx.cs" Inherits="Splitter" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<style type="text/css">
		html, body, form
		{
			height: 100%;
			margin: 0px;
			padding: 0px;
			overflow: hidden;
		}
	</style>
</head>
<body>
	<form id="form2" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server" EnablePageMethods="True"
		ScriptMode="Debug" EnableScriptCombine="False">
	</telerik:RadScriptManager>

	<telerik:RadSplitter ID="RadSplitter1" runat="server" Width="700" Height="500">
        <telerik:RadPane ID="LeftPane" runat="server" Width="22px" Scrolling="none">
            <telerik:RadSlidingZone ID="SlidingZone1" runat="server" Width="22px">
                <telerik:RadSlidingPane ID="RadSlidingPane1" Title="Pane1" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 1 Content
                </telerik:RadSlidingPane>
                <telerik:RadSlidingPane ID="Radslidingpane2" Title="Pane2" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 2 Content
                </telerik:RadSlidingPane>
                <telerik:RadSlidingPane ID="Radslidingpane3" Title="Pane3" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 3 Content
                </telerik:RadSlidingPane>
            </telerik:RadSlidingZone>
        </telerik:RadPane>
        <telerik:RadSplitBar ID="Radsplitbar1" runat="server">
        </telerik:RadSplitBar>
        <telerik:RadPane ID="MiddlePane1" runat="server" Scrolling="None">
            <telerik:RadSplitter ID="Radsplitter2" runat="server" Orientation="Horizontal" VisibleDuringInit="false">
                <telerik:RadPane ID="Radpane1" runat="server" Height="22px" Scrolling="none">
                    <telerik:RadSlidingZone ID="Radslidingzone2" runat="server" Height="22px" SlideDirection="Bottom">
                        <telerik:RadSlidingPane ID="Radslidingpane4" Title="Pane1" runat="server" Height="150px">
                            Pane1</telerik:RadSlidingPane>
                        <telerik:RadSlidingPane ID="Radslidingpane8" Title="Pane2" runat="server" Height="150px">
                            Pane2</telerik:RadSlidingPane>
                        <telerik:RadSlidingPane ID="Radslidingpane9" Title="Pane3" runat="server" Height="150px">
                            Pane3</telerik:RadSlidingPane>
                    </telerik:RadSlidingZone>
                </telerik:RadPane>
                <telerik:RadSplitBar ID="Radsplitbar3" runat="server">
                </telerik:RadSplitBar>
                <telerik:RadPane ID="Radpane2" runat="server">
                    <div style="padding: 5px">
                        <h2>
                            RadSplitter
                        </h2>
                        <p>
                            RadSplitter also creates separate regions for displaying content to users. Unlike
                            RadWindow and RadDock, however, the content regions that RadSplitter uses are not
                            pop-up windows. Instead, they are resizable frames, called panes, that divide up
                            a region of the Web page. The splitter can be configured to lay out its panes either
                            horizontally or vertically. By adding split bars between the panes, you can enable
                            the user to resize panes in the browser. Alternately, you can leave out the split
                            bars, to create a static layout of separate panes on your Web page. In a splitter
                            that contains split bars, individual panes can be "locked", so that they are not
                            resizable along with the other panes of the splitter.
                        </p>
                        <p>
                            Panes can display content from an external URL, like RadWindow, or content that
                            is loaded with the Web page, like RadDock. The screenshot below shows a splitter
                            that displays a radio button list that is loaded with the Web page in the left pane,
                            and content from an external Web site in the right pane:
                        </p>
                        <p>
                            Panes that load their content with the Web page can hold any HTML elements, even
                            another splitter. By nesting splitters with alternating horizontal and vertical
                            orientations, you can create arbitrarily complex layouts.
                        </p>
                    </div>
                </telerik:RadPane>
            </telerik:RadSplitter>
        </telerik:RadPane>
        <telerik:RadSplitBar ID="RadSplitBar2" runat="server">
        </telerik:RadSplitBar>
        <telerik:RadPane ID="EndPane" runat="server" Width="22px" Scrolling="None">
            <telerik:RadSlidingZone ID="Radslidingzone1" runat="server" Width="22px" ClickToOpen="true"
                SlideDirection="Left">
                <telerik:RadSlidingPane ID="Radslidingpane5" Title="Pane1" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 1 Content
                </telerik:RadSlidingPane>
                <telerik:RadSlidingPane ID="Radslidingpane6" Title="Pane2" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 2 Content
                </telerik:RadSlidingPane>
                <telerik:RadSlidingPane ID="Radslidingpane7" Title="Pane3" runat="server" Width="150px"
                    MinWidth="100">
                    Pane 3 Content
                </telerik:RadSlidingPane>
            </telerik:RadSlidingZone>
        </telerik:RadPane>
    </telerik:RadSplitter>
	</form>
</body>
</html>
